Package com.independentsoft.office.spreadsheet

# Enum Class DataValidationErrorStyle

java.lang.Object
java.lang.Enum<DataValidationErrorStyle>
com.independentsoft.office.spreadsheet.DataValidationErrorStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<DataValidationErrorStyle>`, `Constable`

public enum DataValidationErrorStyle extends Enum<DataValidationErrorStyle>
The Enum DataValidationErrorStyle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INFORMATION`
  `NONE`
  `STOP`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataValidationErrorStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataValidationErrorStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFORMATION

    public static final DataValidationErrorStyle INFORMATION

  - ### STOP

    public static final DataValidationErrorStyle STOP

  - ### WARNING

    public static final DataValidationErrorStyle WARNING

  - ### NONE

    public static final DataValidationErrorStyle NONE

- ## Method Details

  - ### values

    public static DataValidationErrorStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataValidationErrorStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null